{literal}
<script type="text/javascript">
<!--

{/literal}
var aktiviert = '{$aktiviert}';
{literal}

var maxValues = new Array();
{/literal}
	{foreach from=$prep_stats item=bezeichnung}
	      maxValues['{$bezeichnung.1}'] = '{$bezeichnung.3}';
    {/foreach}
    {foreach from=$prep_skills item=bezeichnung}
	      maxValues['{$bezeichnung.1}'] = '{$bezeichnung.3}';
    {/foreach}
{literal}

var minValues = new Array();
{/literal}
	{foreach from=$prep_stats item=bezeichnung}
	      minValues['{$bezeichnung.1}'] = '{$bezeichnung.2}';
    {/foreach}
    {foreach from=$prep_skills item=bezeichnung}
	      minValues['{$bezeichnung.1}'] = '{$bezeichnung.2}';
    {/foreach}
{literal}
	
	

/*
*	Deaktiviert oder Aktiviert die Plus/Minus-Buttons in der Charerstellung
*/

function checkPlusMinusButtons(verbleibendePunkte, zuVergebendePunkte, maxValues, minValues)
{
	{/literal}
	{foreach from=$prep_stats item=bezeichnung}
		if(verbleibendePunkte<=0 || parseInt(document.getElementById('{$bezeichnung.1}').value)>=maxValues['{$bezeichnung.1}'])
			document.getElementById('{$bezeichnung.1}P').disabled = true;
		else
			document.getElementById('{$bezeichnung.1}P').disabled = false;
	  					
	  	if(verbleibendePunkte>=zuVergebendePunkte || parseInt(document.getElementById('{$bezeichnung.1}').value)<=0 || parseInt(document.getElementById('{$bezeichnung.1}').value)<=minValues['{$bezeichnung.1}'])
			document.getElementById('{$bezeichnung.1}M').disabled = true;
		else
			document.getElementById('{$bezeichnung.1}M').disabled = false;
    {/foreach}
    {foreach from=$prep_skills item=bezeichnung}
		if(verbleibendePunkte<=0 || parseInt(document.getElementById('{$bezeichnung.1}').value)>=maxValues['{$bezeichnung.1}'])
			document.getElementById('{$bezeichnung.1}P').disabled = true;
		else
			document.getElementById('{$bezeichnung.1}P').disabled = false;
	  					
	  	if(verbleibendePunkte>=zuVergebendePunkte || parseInt(document.getElementById('{$bezeichnung.1}').value)<=0 || parseInt(document.getElementById('{$bezeichnung.1}').value)<=minValues['{$bezeichnung.1}'])
			document.getElementById('{$bezeichnung.1}M').disabled = true;
		else
			document.getElementById('{$bezeichnung.1}M').disabled = false;
    {/foreach}
    {literal}
}

function skillpunkte(a, b)
{
	var signum = 1;	
	
	// nur bei Step 6 (Skills) und nicht bei Stats
	if(document.getElementById('step').value == 4) return(1);
	
	if(b<a) {
		signum = -1;
	}
	
	var punkte = 0;
	if(a<=5) punkte++;
	else if(a<=10) punkte+=2;
	else if(a<=15) punkte+=3;
	else if(a<=20) punkte+=4;
	
	return(signum*punkte);	
}


function verteilen(feld, operation)
{	
	var zuVergebendePunkte 	= parseInt(document.getElementById('punkteAnfang').value);
	var verbleibendePunkte 	= parseInt(document.getElementById('punkte').value);
	var alt 				= parseInt(document.getElementById(feld).value);
	
  	switch(operation) {
  		case '+':  		
  				if(verbleibendePunkte>=skillpunkte(alt, alt+1) && alt<maxValues[feld])
  				{
  					if(skillpunkte(alt+1, alt+2) <= verbleibendePunkte) {
	  					alt++;
	  					verbleibendePunkte-=skillpunkte(alt, alt+1);
  					}
  				}

  				break;
  		case '-':
  				//if(verbleibendePunkte<zuVergebendePunkte && alt>minValues[feld])
  				if(alt>minValues[feld])
  				{
  					verbleibendePunkte+=skillpunkte(alt, alt+1);
  					alt--;
  				}		
  				break;
  	}

  	
  	document.getElementById(feld).value = alt;
  	document.getElementById('punkte').value = verbleibendePunkte;
  	
  	checkPlusMinusButtons(verbleibendePunkte, zuVergebendePunkte, maxValues, minValues);
  	
	if(aktiviert!=1)
	{
		if(verbleibendePunkte==0)
			document.getElementById('send_form').disabled = false;
		else
			document.getElementById('send_form').disabled = true;
	}
}

//-->
</script>
{/literal}